﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage
    x:Class="MTCT.Views.Home.ShiftPage"
    xmlns="http://xamarin.com/schemas/2014/forms"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:local="clr-namespace:MTCT.Extension"
    xmlns:mp="clr-namespace:Xamarin.Forms.Maps;assembly=Xamarin.Forms.Maps"
    xmlns:pan="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView"
    BackgroundColor="#F5F5F5"
    NavigationPage.HasNavigationBar="False">
    <ContentPage.Content>
        <Grid>
            <Grid.RowDefinitions>
                <RowDefinition>
                    <RowDefinition.Height>
                        <OnIdiom
                            x:TypeArguments="GridLength"
                            Phone="60"
                            Tablet="100" />
                    </RowDefinition.Height>
                </RowDefinition>
                <RowDefinition Height="*" />
            </Grid.RowDefinitions>

            <Grid Grid.Row="0">
                <Image Source="iconHeaderBackground.png" Style="{StaticResource HeaderBackgroundImage}" />
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="40" />
                        <ColumnDefinition Width="*" />
                        <ColumnDefinition Width="40" />
                    </Grid.ColumnDefinitions>

                    <ImageButton
                        x:Name="btnBack"
                        Grid.Column="0"
                        Margin="15,0,0,0"
                        Clicked="BtnBack_Tapped"
                        Source="iconBackArrow.png"
                        Style="{StaticResource MenuImage}" />

                    <Label
                        x:Name="lblShiftRefno"
                        Grid.Column="1"
                        FontAttributes="Bold"
                        Style="{StaticResource HeaderLabel}"
                        Text="Abrir Orden" />

                    <!--<Label
                        x:Name="lblShiftStatus"
                        Grid.Column="2"
                        Margin="0,0,20,0"
                        FontAttributes="Bold"
                        Style="{StaticResource HeaderLabel}"
                        Text="{local:Translate lblOpen}" />-->
                </Grid>
            </Grid>

            <ScrollView Grid.Row="1">
                <Grid
                    Grid.Row="1"
                    BackgroundColor="#F5F5F5"
                    RowSpacing="3">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                        <RowDefinition Height="Auto" />
                    </Grid.RowDefinitions>

                    <!--<pan:PancakeView
                        Grid.Row="0"
                        Padding="10,0,0,0"
                        Style="{StaticResource PanCakeBackground}">
                        <pan:PancakeView.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,20" />
                        </pan:PancakeView.Margin>
                        <Grid x:Name="txtHauler">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgHauler"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconTransportCount.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblHaulerCode"
                                Grid.Row="0"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                Style="{StaticResource EntryFields}"
                                Text="Transporte" />
                            <Image
                                x:Name="imgHaluerCode"
                                Grid.Column="2"
                                Margin="0,0,10,0"
                                BackgroundColor="Transparent"
                                Source="iconSearch.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.WidthRequest>
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="imgHaulerCode_Clicked" />
                                </Image.GestureRecognizers>
                            </Image>
                        </Grid>
                    </pan:PancakeView>-->

                    <Frame
                        x:Name="btnHauler"
                        Grid.Row="0"
                        Padding="10,0,0,0"
                        BorderColor="Gray"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,20" />
                        </Frame.Margin>
                        <Grid x:Name="txtHauler">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgHauler"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconTransportCount.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblHaulerCode"
                                Grid.Row="0"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                Style="{StaticResource EntryFields}"
                                Text="Transporte" />
                            <Image
                                x:Name="imgHaluerCode"
                                Grid.Column="2"
                                Margin="0,0,10,0"
                                BackgroundColor="Transparent"
                                Source="iconSearch.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.WidthRequest>
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="ImgHaulerCode_Clicked" />
                                </Image.GestureRecognizers>
                            </Image>
                        </Grid>
                        <Frame.GestureRecognizers>
                            <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnHaulerCode_Tapped" />
                        </Frame.GestureRecognizers>
                    </Frame>

                    <Frame
                        x:Name="btnTrailer"
                        Grid.Row="1"
                        Padding="10,0,0,0"
                        BorderColor="Gray"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,0,20,0"
                                Tablet="30,0,30,0" />
                        </Frame.Margin>
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconTrailerCode.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblTrailerCode"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Text="Trailer"
                                TextColor="{StaticResource FuelBlack}"
                                VerticalOptions="CenterAndExpand">
                                <Label.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </Label.FontSize>
                            </Label>
                            <Image
                                x:Name="imgTrailerCode"
                                Grid.Column="2"
                                Margin="0,0,10,0"
                                BackgroundColor="Transparent"
                                Source="iconSearch.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.WidthRequest>
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="ImgTrailerCode_Clicked" />
                                </Image.GestureRecognizers>
                            </Image>
                        </Grid>
                        <Frame.GestureRecognizers>
                            <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnTrailerCode_Tapped" />
                        </Frame.GestureRecognizers>
                    </Frame>

                    <Frame
                        Grid.Row="2"
                        Padding="10,0,0,0"
                        BorderColor="Gray"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,20" />
                        </Frame.Margin>
                        <Grid x:Name="txtDate">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgDateTime"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconCalendar.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <local:ExtDatePicker
                                x:Name="txtDateTime"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Format="MMM dd, yyyy">
                                <local:ExtDatePicker.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </local:ExtDatePicker.FontSize>
                            </local:ExtDatePicker>
                            <!--<local:EntryBox
                                x:Name="txtDateTime"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Placeholder="Fecha Apertura"
                                PlaceholderColor="{StaticResource FuelBlack}">
                                <local:EntryBox.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </local:EntryBox.FontSize>
                            </local:EntryBox>-->
                        </Grid>
                    </Frame>

                    <Frame
                        x:Name="btnDriverCode"
                        Grid.Row="3"
                        Padding="10,0,0,0"
                        BorderColor="Gray"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,0,20,0"
                                Tablet="30,0,30,0" />
                        </Frame.Margin>
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconDriverCode.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblDriverCode"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Text="Código del Chofer"
                                TextColor="{StaticResource FuelBlack}"
                                VerticalOptions="CenterAndExpand">
                                <Label.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </Label.FontSize>
                            </Label>
                            <Image
                                x:Name="imgDriverCode"
                                Grid.Column="2"
                                Margin="0,0,10,0"
                                BackgroundColor="Transparent"
                                Source="iconSearch.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.WidthRequest>
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="ImgDriverCode_Clicked" />
                                </Image.GestureRecognizers>
                            </Image>
                        </Grid>
                        <Frame.GestureRecognizers>
                            <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnDriverCode_Tapped" />
                        </Frame.GestureRecognizers>
                    </Frame>

                    <pan:PancakeView
                        Grid.Row="4"
                        Padding="10,0,0,0"
                        Style="{StaticResource PanCakeBackground}">
                        <pan:PancakeView.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,20" />
                        </pan:PancakeView.Margin>
                        <Grid x:Name="txtDriverName">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgDriverName"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconDriverCode.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblDriverName"
                                Grid.Row="0"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                Style="{StaticResource EntryFields}"
                                Text="Nombre del Chofer" />
                        </Grid>
                    </pan:PancakeView>

                    <Frame
                        x:Name="btnLocation"
                        Grid.Row="5"
                        Padding="10,0,0,0"
                        BorderColor="Gray"
                        Style="{StaticResource frmBorder}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,0,20,0"
                                Tablet="30,0,30,0" />
                        </Frame.Margin>
                        <Grid>
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                                <ColumnDefinition Width="35" />
                            </Grid.ColumnDefinitions>
                            <Image
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconGreenLocation.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="30" />
                                </Image.WidthRequest>
                            </Image>
                            <Label
                                x:Name="lblLocationCode"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Text="Localización"
                                TextColor="{StaticResource FuelBlack}"
                                VerticalOptions="CenterAndExpand">
                                <Label.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </Label.FontSize>
                            </Label>
                            <Image
                                x:Name="imgLocation"
                                Grid.Column="2"
                                Margin="0,0,10,0"
                                BackgroundColor="Transparent"
                                Source="iconSearch.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="20"
                                        Tablet="25" />
                                </Image.WidthRequest>
                                <Image.GestureRecognizers>
                                    <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="ImgLocation_Clicked" />
                                </Image.GestureRecognizers>
                            </Image>
                        </Grid>
                        <Frame.GestureRecognizers>
                            <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnLocation_Tapped" />
                        </Frame.GestureRecognizers>
                    </Frame>

                    <pan:PancakeView
                        Grid.Row="6"
                        Margin="20,10,20,10"
                        Padding="0"
                        Style="{StaticResource PanCakeBackground}">
                        <pan:PancakeView.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,10"
                                Tablet="30,10,30,10" />
                        </pan:PancakeView.Margin>
                        <pan:PancakeView.HeightRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="150"
                                Tablet="250" />
                        </pan:PancakeView.HeightRequest>
                        <mp:Map
                            x:Name="xfmap"
                            HasZoomEnabled="True"
                            IsShowingUser="True"
                            MapType="Street" />
                    </pan:PancakeView>

                    <pan:PancakeView
                        Grid.Row="7"
                        Padding="10,0,0,0"
                        Style="{StaticResource PanCakeBackground}">
                        <pan:PancakeView.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,0"
                                Tablet="30,10,30,0" />
                        </pan:PancakeView.Margin>
                        <Grid x:Name="grdOdometer">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="35" />
                                <ColumnDefinition Width="*" />
                            </Grid.ColumnDefinitions>
                            <Image
                                x:Name="imgOdometer"
                                Grid.Column="0"
                                Margin="10,0,0,0"
                                BackgroundColor="Transparent"
                                Source="iconMeter.png"
                                VerticalOptions="CenterAndExpand">
                                <Image.HeightRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.HeightRequest>
                                <Image.WidthRequest>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="25"
                                        Tablet="35" />
                                </Image.WidthRequest>
                            </Image>
                            <local:EntryBox
                                x:Name="txtOdometer"
                                Grid.Column="1"
                                Margin="0,0,0,0"
                                FontFamily="RobotoRegular"
                                Keyboard="Numeric"
                                Placeholder="Odómetro"
                                PlaceholderColor="{StaticResource FuelBlack}">
                                <local:EntryBox.FontSize>
                                    <OnIdiom
                                        x:TypeArguments="x:Double"
                                        Phone="16"
                                        Tablet="20" />
                                </local:EntryBox.FontSize>
                            </local:EntryBox>
                        </Grid>
                    </pan:PancakeView>

                    <Label
                        Grid.Row="8"
                        Margin="30,10,0,-10"
                        FontAttributes="Bold"
                        FontFamily="RobotoBold"
                        Style="{StaticResource SmallLabel}"
                        Text="Foto"
                        TextColor="{StaticResource FuelBlack}" />

                    <Grid
                        Grid.Row="9"
                        Margin="0,-10,0,0"
                        Padding="5"
                        ColumnSpacing="15">
                        <Grid.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,5,20,10"
                                Tablet="30,5,30,10" />
                        </Grid.Margin>
                        <pan:PancakeView
                            x:Name="img1"
                            Margin="0"
                            Padding="0"
                            BackgroundColor="#DCDDDE"
                            BorderColor="Transparent"
                            CornerRadius="10"
                            HasShadow="False">
                            <pan:PancakeView.HeightRequest>
                                <OnIdiom
                                    x:TypeArguments="x:Double"
                                    Phone="140"
                                    Tablet="150" />
                            </pan:PancakeView.HeightRequest>
                            <Grid>
                                <Image
                                    x:Name="imgPicture1"
                                    Aspect="AspectFit"
                                    HorizontalOptions="CenterAndExpand"
                                    Source="iconGrayNoImage.png"
                                    VerticalOptions="CenterAndExpand" />
                                <Image
                                    x:Name="btnDelete"
                                    Margin="0,10,10,0"
                                    HorizontalOptions="EndAndExpand"
                                    IsVisible="False"
                                    Source="iconDelete.png"
                                    VerticalOptions="StartAndExpand">
                                    <Image.HeightRequest>
                                        <OnIdiom
                                            x:TypeArguments="x:Double"
                                            Phone="15"
                                            Tablet="25" />
                                    </Image.HeightRequest>
                                    <Image.WidthRequest>
                                        <OnIdiom
                                            x:TypeArguments="x:Double"
                                            Phone="15"
                                            Tablet="25" />
                                    </Image.WidthRequest>
                                    <Image.GestureRecognizers>
                                        <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnDelete_Tapped" />
                                    </Image.GestureRecognizers>
                                </Image>
                            </Grid>
                            <pan:PancakeView.GestureRecognizers>
                                <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnUploadPicture1_Tapped" />
                            </pan:PancakeView.GestureRecognizers>
                        </pan:PancakeView>
                    </Grid>

                    <Frame
                        Grid.Row="10"
                        Padding="0"
                        BackgroundColor="Transparent"
                        BorderColor="Gray"
                        CornerRadius="12"
                        Style="{StaticResource FrmBackground}">
                        <Frame.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,0"
                                Tablet="30,10,30,0" />
                        </Frame.Margin>
                        <Frame.HeightRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="140"
                                Tablet="180" />
                        </Frame.HeightRequest>
                        <local:EditorBox
                            x:Name="txtNotes"
                            Margin="10,0,0,0"
                            Placeholder="{local:Translate lblNotes}"
                            Style="{StaticResource EditorFields}"
                            VerticalOptions="FillAndExpand" />
                    </Frame>

                    <Grid
                        x:Name="btnSignature"
                        Grid.Row="11"
                        Margin="0"
                        Padding="0">
                        <Grid.Margin>
                            <OnIdiom
                                x:TypeArguments="Thickness"
                                Phone="20,10,20,0"
                                Tablet="30,10,30,0" />
                        </Grid.Margin>
                        <Grid.HeightRequest>
                            <OnIdiom
                                x:TypeArguments="x:Double"
                                Phone="50"
                                Tablet="80" />
                        </Grid.HeightRequest>
                        <Image Aspect="Fill" Source="iconGreeenBack.png" />
                        <StackLayout
                            Padding="0"
                            HorizontalOptions="CenterAndExpand"
                            Orientation="Horizontal"
                            Spacing="3"
                            VerticalOptions="CenterAndExpand">
                            <Label
                                FontAttributes="Bold"
                                Style="{StaticResource HeaderLabel}"
                                Text="{local:Translate lblSignature}"
                                VerticalOptions="CenterAndExpand" />
                            <Label
                                x:Name="lblComplete"
                                FontAttributes="Bold"
                                IsVisible="False"
                                Style="{StaticResource HeaderLabel}"
                                Text="(Completada)"
                                VerticalOptions="CenterAndExpand" />
                        </StackLayout>
                        <Grid.GestureRecognizers>
                            <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnSignature_Tapped" />
                        </Grid.GestureRecognizers>
                    </Grid>

                    <Grid
                        Grid.Row="12"
                        Margin="0,0,0,10"
                        Padding="0">
                        <Grid.ColumnDefinitions>
                            <ColumnDefinition Width="*" />
                            <ColumnDefinition Width="*" />
                        </Grid.ColumnDefinitions>
                        <Grid
                            x:Name="btnCancel"
                            Grid.Column="0"
                            Margin="0"
                            Padding="0">
                            <Grid.HeightRequest>
                                <OnIdiom
                                    x:TypeArguments="x:Double"
                                    Phone="50"
                                    Tablet="70" />
                            </Grid.HeightRequest>
                            <Grid.Margin>
                                <OnIdiom
                                    x:TypeArguments="Thickness"
                                    Phone="20,10,0,0"
                                    Tablet="30,10,0,0" />
                            </Grid.Margin>
                            <Image Aspect="Fill" Source="iconRedBack.png" />
                            <Label
                                FontAttributes="Bold"
                                HorizontalOptions="CenterAndExpand"
                                Style="{StaticResource HeaderLabel}"
                                Text="{local:Translate lblClose}"
                                VerticalOptions="CenterAndExpand" />
                            <Grid.GestureRecognizers>
                                <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnCancel_Tapped" />
                            </Grid.GestureRecognizers>
                        </Grid>
                        <Grid
                            x:Name="btnSave"
                            Grid.Column="1"
                            Margin="0"
                            Padding="0">
                            <Grid.HeightRequest>
                                <OnIdiom
                                    x:TypeArguments="x:Double"
                                    Phone="50"
                                    Tablet="70" />
                            </Grid.HeightRequest>
                            <Grid.Margin>
                                <OnIdiom
                                    x:TypeArguments="Thickness"
                                    Phone="0,10,20,0"
                                    Tablet="0,10,30,0" />
                            </Grid.Margin>
                            <Image Aspect="Fill" Source="iconDarkGreenBack.png" />
                            <Label
                                FontAttributes="Bold"
                                HorizontalOptions="CenterAndExpand"
                                Style="{StaticResource HeaderLabel}"
                                Text="{local:Translate lblSave}"
                                VerticalOptions="CenterAndExpand" />
                            <Grid.GestureRecognizers>
                                <TapGestureRecognizer NumberOfTapsRequired="1" Tapped="BtnSave_Tapped" />
                            </Grid.GestureRecognizers>
                        </Grid>
                    </Grid>
                </Grid>
            </ScrollView>
        </Grid>
    </ContentPage.Content>
</ContentPage>